Bug 143061 - kernel: journal_write_metadata_buffer: ENOMEM at get_unused_buffer_head, trying again.
kernel: journal_write_metadata_buffer: ENOMEM at get_unused_buffer_head, tryi...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-16 00:58 EST by Tham Weng Kwan
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:11:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tham Weng Kwan 2004-12-16 00:58:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
The newly install server not responding at all with the messages
kernel: journal_write_metadata_buffer: ENOMEM at
get_unused_buffer_head, trying again.
scrolling all over the console.

But the server still respond to network ping, though no logon is
possible either on console or ssh.

Version-Release number of selected component (if applicable):
kernel-smp-2.4.21-15.0.4.EL

How reproducible:
Didn't try


Additional info:
Comment 1 Stephen Tweedie 2004-12-16 17:33:49 EST
This is not an ext3 problem.  There are places in the kernel that deal with
memory allocation failures by retrying silently.  There are others that return
immediately with ENOMEM.  Ext3 in several places retries, but unlike almost all
other places, it also shows a rate-limited log message to show that memory is
really low.

So if you're under serious memory pressure, ext3 is simply the only component of
the kernel which will actually log the fact that it is having problems --- the
others do so silently.  Ext3's messages are merely a sign of the root problem,
not a cause.
Comment 2 Larry Woodman 2005-01-06 08:30:57 EST
Tham, I changed RHEL3-U4(kernel-2.4.21-27.EL) to address this issue
by reclaiming bufferheads more aggressively.  Can you try that kernel
and see if it fixed your problem?  Also, if you can not do this right
away please get me several "AltSysrq M" outputs when you see the
system print out this message.

Thanks, Larry Woodman
Comment 3 RHEL Product and Program Management 2007-10-19 15:11:01 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.